{% extends 'dragonboard-845c.jinja2' %}
{% set connection_list = ['uart0'] %}
{% set connection_tags = {'uart0': ['primary', 'telnet']} %}
{% set connection_commands = {'uart0': 'telnet odyssey-worker01 7104'} %}
{% set adb_serial_number = '30e1e2ee' %}
{% set fastboot_serial_number = '30e1e2ee' %}

{# OTG port control #}

{% set pre_power_command = '/usr/local/lab-scripts/cbrxd_hub_control -n odyssey-worker01-hub01 -m sync -u 10' %}
{% set pre_os_command = '/usr/local/lab-scripts/cbrxd_hub_control -n odyssey-worker01-hub01 -m off -u 10' %}
{% set hard_reset_command = ['/usr/local/lab-scripts/cbrxd_hub_control -n odyssey-worker01-hub01 -m off -u 10',
'/usr/local/lab-scripts/snmp_pdu_control --hostname pdu04 --command reboot --port 4',
'/usr/local/lab-scripts/cbrxd_hub_control -n odyssey-worker01-hub01 -m sync -u 10'] %}
{% set power_on_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu04 --command on --port 4',
'/usr/local/lab-scripts/cbrxd_hub_control -n odyssey-worker01-hub01 -m sync -u 10'] %}
{% set power_off_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu04 --command off --port 4',
'/usr/local/lab-scripts/cbrxd_hub_control -n odyssey-worker01-hub01 -m off -u 10'] %}
{% set device_info = [{'board_id': '30e1e2ee'}] %}
{% set storage_info = [{'SATA': '/dev/disk/by-id/ata-SanDisk_SSD_PLUS_120GB_210303A00F78'}] %}
{% set flash_cmds_order = ['update', 'ptable', 'partition', 'partition:0',
                           'partition:1', 'partition:2', 'partition:3',
                           'partition:4','partition:5', 'hyp', 'modem',
                           'rpm', 'sbl1', 'sbl2', 'sec', 'tz', 'aboot',
                           'boot', 'rootfs', 'vendor', 'system', 'cache',
                           'userdata', ] %}
{% set sync_to_lava = {'device_type': 'dragonboard-845c', 'worker': 'odyssey-worker01.lavalab', 'tags': ['lcg'], 'aliases': []} %}
